Bug 1479290 - Instance fails to start when using a previously used port
Instance fails to start when using a previously used port
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity medium
: beta
: 12.0 (Pike)
Assigned To: Josh Hershberg
Itzik Brown
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 05:20 EDT by Itzik Brown
Modified: 2017-10-17 09:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Neutron server log (302.53 KB, text/plain)
2017-08-09 05:07 EDT, Itzik Brown
no flags Details
OpenDaylight controller log (190.90 KB, text/plain)
2017-08-09 05:07 EDT, Itzik Brown
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1709268 None None None 2017-08-08 05:20 EDT
Opendaylight bug 8961 None None None 2017-08-09 05:14 EDT

  None (edit)
Description Itzik Brown 2017-08-08 05:20:23 EDT
Description of problem:

An instance fails to start when it's attached with a previously port.

Version-Release number of selected component (if applicable):
python-networking-odl-11.0.0-0.20170721155128.a047729.el7ost.noarch
opendaylight-6.1.0-2.el7ost.noarch

How reproducible:


Steps to Reproduce:
1. Create a port
2. Launch an instance with the above port
3. Terminate the instance
4. Launch an instance with the above port
5. Verify that the instance is in 'spawning' state and then Error state

Actual results:


Expected results:


Additional info:
Comment 1 Itzik Brown 2017-08-09 05:07 EDT
Created attachment 1311072 [details]
Neutron server log
Comment 2 Itzik Brown 2017-08-09 05:07 EDT
Created attachment 1311073 [details]
OpenDaylight controller log
Comment 3 Tim Rozet 2017-09-08 11:50:51 EDT
Relevant error log seems to be:
2017-08-09 08:55:45,317 | ERROR | nPool-1-worker-3 | InterfaceManagerCommonUtils      | 352 - org.opendaylight.genius.interfacemanager-impl - 0.2.1.Carbon-redhat-1 | Trying to bind child interface 8698d707-b8c4-46b1-8ae3-7d90ee625a62 of type Trunk to parent interface tap8698d707-b8,but it is already bound to a trunk interface 8698d707-b8c4-46b1-8ae3-7d90ee625a62
Comment 4 Sam Hague 2017-10-17 09:48:28 EDT
(In reply to Tim Rozet from comment #3)
> Relevant error log seems to be:
> 2017-08-09 08:55:45,317 | ERROR | nPool-1-worker-3 |
> InterfaceManagerCommonUtils      | 352 -
> org.opendaylight.genius.interfacemanager-impl - 0.2.1.Carbon-redhat-1 |
> Trying to bind child interface 8698d707-b8c4-46b1-8ae3-7d90ee625a62 of type
> Trunk to parent interface tap8698d707-b8,but it is already bound to a trunk
> interface 8698d707-b8c4-46b1-8ae3-7d90ee625a62

This log shouldn't affect this test. There is an upstream bug for the error: https://bugs.opendaylight.org/show_bug.cgi?id=9308.

Note You need to log in before you can comment on or make changes to this bug.